> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-881012b3.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Terms and Conditions

> Fetch Terms and Conditions for a Sub-Merchant using Razorpay Partners APIs.

<div style={{display:"flex",flexWrap:"wrap",alignItems:"center",gap:"0.35rem 0.9rem",border:"1px solid rgba(128,128,128,0.28)",borderRadius:"0.5rem",padding:"0.45rem 0.75rem",margin:"0 0 1.25rem",fontSize:"0.875rem"}}>
  <span style={{fontWeight:600}}>Available in</span>
  <span>🇮🇳 India</span>
</div>

Use this endpoint to retrieve the terms and conditions of a sub-merchant. Know about the [various error responses](/docs/api/partners/errors) for this API.

<RequestExample>
  ```bash Curl theme={null}
  curl -u <YOUR_ACCESS_TOKEN> \
  -H "Content-Type: application/json" \
  -X GET https://api.razorpay.com/v2/products/payments/tnc \
  ```

  ```java Java theme={null}
  RazorpayClient razorpay = new RazorpayClient("[YOUR_ACCESS_TOKEN]");

  String productName = "payments";

  TncMap tncMap = instance.product.fetchTnc(productName);
  ```

  ```python Python theme={null}
  import razorpay
  client = razorpay.Client(auth=("YOUR_ACCESS_TOKEN"))

  productName = "payments"

  client.product.fetchTnc(productName)
  ```

  ```go Go theme={null}
  import ( razorpay "github.com/razorpay/razorpay-go" )
  client := razorpay.NewClient("YOUR_ACCESS_TOKEN")
  productName := "payments"

  body, err := client.Product.FetchTnc(productName, nil, nil)
  ```

  ```php PHP theme={null}
  $api = new Api($access_token);

  $productName = "payments";

  $api->product->fetchTnc($productName);
  ```

  ```ruby Ruby theme={null}
  require "razorpay"
  Razorpay.setup('YOUR_ACCESS_TOKEN')

  productName = "payments"

  Razorpay::Product.fetch_tnc(productName)
  ```

  ```javascript Node.js theme={null}
  var instance = new Razorpay({ access_token: 'YOUR_ACCESS_TOKEN' })

  var productName = "payments";

  instance.products.fetchTnc(productName);
  ```

  ```csharp .NET theme={null}
  RazorpayClient client = new RazorpayClient("[YOUR_ACCESS_TOKEN]");

  string productName = "payments";

  Tnc tnc = client.Tnc.Fetch(productName)
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "entity": "tnc_map",
    "product_name": "payments",
    "id": "tnc_map_HjOVhIdpVDZ0FB",
    "tnc": {
      "terms": "https://razorpay.com/terms",
      "privacy": "https://razorpay.com/privacy",
      "agreement": "https://razorpay.com/agreement"
    },
    "last_published_at": 1640589653
  }
  ```
</ResponseExample>

## Path Parameters

<ParamField path="product_name" type="string" required>
  The product family for which the relevant product to be requested for the sub-merchant. Possible value is `payments`.
</ParamField>

## Response Parameters

<ResponseField name="entity" type="string">
  The name of the entity. Here it is `tnc_map`.
</ResponseField>

<ResponseField name="product_name" type="string">
  Determines what business unit the terms and conditions belong to.
</ResponseField>

<ResponseField name="id" type="string">
  Unique identifier of the terms and conditions belonging to a specific business unit.
</ResponseField>

<ResponseField name="tnc" type="object">
  The terms and conditions content.
</ResponseField>

<ResponseField name="terms" type="string">
  The terms and conditions webpage URL.
</ResponseField>

<ResponseField name="privacy" type="string">
  The privacy policy webpage URL.
</ResponseField>

<ResponseField name="agreement" type="string">
  The agreement webpage URL.
</ResponseField>

<ResponseField name="last_published_at" type="integer">
  The timestamp in Unix format, when the terms and conditions were created/last updated.
</ResponseField>
